public class TestPrecisionSinCos {

  public static void main(String [] args) {
    double y = 0.0;
    double x = 1.0;
    double angle = Math.PI/8.0;
    double nx;
    double ny;
    double sn;
    double cs;
    cs = Math.cos(angle);
    sn = Math.sin(angle);
    Ecran.afficherln(cs," ",sn);
    for ( int i = 0 ; i < 100000000 ; i++ ) {
      for ( int j = 0 ; j < 8 ; j++ ) {
        nx = x*cs-y*sn;
        ny = x*sn+y*cs;
        x = nx;
        y = ny; } }
    Ecran.afficherln(x," ",y);
  }
}